Name:          apacheds-shared
Version:       0.9.19
Release:       5%{?dist}
Summary:       Shared APIs of Apache Directory Project
License:       ASL 2.0
Url:           http://directory.apache.org/
# svn export http://svn.apache.org/repos/asf/directory/shared/tags/0.9.19/ apacheds-shared-0.9.19
# tar czf  apacheds-shared-0.9.19-src-svn.tar.gz  apacheds-shared-0.9.19
Source0:       apacheds-shared-0.9.19-src-svn.tar.gz
# requires antlr 2.x and change org.apache.maven.plugins maven-antlr-plugin with org.codehaus.mojo antlr-maven-plugin
Patch0:        apacheds-shared-0.9.19-antlr-plugin.patch

BuildRequires: java-devel
BuildRequires: directory-project

BuildRequires: antlr
BuildRequires: apache-commons-collections
BuildRequires: apache-commons-io
BuildRequires: apache-commons-lang
BuildRequires: apache-commons-pool
BuildRequires: apache-mina
BuildRequires: dom4j
BuildRequires: log4j
BuildRequires: slf4j
BuildRequires: xpp3

# test deps
BuildRequires: junit

BuildRequires: antlr-maven-plugin
BuildRequires: maven-local
BuildRequires: maven-surefire-provider-junit4

BuildArch:     noarch

%description
ApacheDS is an extensible and embeddable directory server
entirely written in Java, which has been certified LDAPv3
compatible by the Open Group. Besides LDAP it supports
Kerberos 5 and the Change Password Protocol. It has been
designed to introduce triggers, stored procedures, queues and
views to the world of LDAP which has lacked these rich
constructs. 

This package contains the shared APIs of the
Apache Directory Project.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n apacheds-shared-%{version}
%patch0 -p1
# cleanup
find . -name "*.jar" -delete
find . -name "*.class" -delete

sed -i "s|<module>all</module>|<!--module>all</module-->|" pom.xml
# fix wrong permissions
chmod 644 README.txt

%build

%mvn_file :shared-asn1 apacheds/shared-asn1
%mvn_file :shared-asn1-codec apacheds/shared-asn1-codec
%mvn_file :shared-cursor apacheds/shared-cursor
%mvn_file :shared-dsml-parser apacheds/shared-dsml-parser
%mvn_file :shared-i18n apacheds/shared-i18n
%mvn_file :shared-ldap apacheds/shared-ldap
%mvn_file :shared-ldap-constants apacheds/shared-ldap-constants
%mvn_file :shared-ldap-converter apacheds/shared-ldap-converter
%mvn_file :shared-ldap-jndi apacheds/shared-ldap-jndi
%mvn_file :shared-ldap-schema apacheds/shared-ldap-schema
%mvn_file :shared-ldap-schema-dao apacheds/shared-ldap-schema-dao
%mvn_file :shared-ldap-schema-loader apacheds/shared-ldap-schema-loader
%mvn_file :shared-ldap-schema-manager apacheds/shared-ldap-schema-manager
%mvn_file :shared-ldif apacheds/shared-ldif
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE README.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE

%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.19-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jul 05 2013 gil cattaneo <puntogil@libero.it> 0.9.19-4
- switch to XMvn
- minor changes to adapt to current guideline

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.19-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 0.9.19-2
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Sun May 20 2012 gil cattaneo <puntogil@libero.it> 0.9.19-1
- initial rpm